import subprocess

query = "what similarity laws must be obeyed when constructing aeroelastic models of heated high speed aircraft ."
max_results = 10

print("Launching the Search system based on Whitespace Analyzer")
out, err = subprocess.Popen(["java", "-cp", "lib/lucene-core-3.6.0.jar:.", "it.uniroma2.sag.assignment.ir.lucene.search.WhitespaceCranSearch", query, str(max_results)], stdout=subprocess.PIPE).communicate()
out = out.splitlines()
print(out)

print("Launching the Search system based on the Simple Chain of Analyzers")
out, err = subprocess.Popen(["java", "-cp", "lib/lucene-core-3.6.0.jar:.", "it.uniroma2.sag.assignment.ir.lucene.search.SimpleCranSearch", query, str(max_results)], stdout=subprocess.PIPE).communicate()
out = out.splitlines()
print(out)
